Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: creatives.create
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
建立廣告素材。成功完成時,會在 response 欄位中傳回廣告素材,失敗時則會傳回 google.rpc.Code。傳回 CreateCreativeOperationMetadata,包括 metadata 欄位中的攝入狀態。
HTTP 要求
POST https://dai.googleapis.com/v1/creatives
這個網址使用 gRPC 轉碼語法。
要求主體
要求主體的資料會採用以下結構:
| 欄位 |
creative |
object (Creative)
要擷取的廣告素材。
|
dynamicCreativeInfo |
object (DynamicCreativeInfo)
動態廣告素材的相關資訊。如果要攝入的廣告素材為動態廣告素材,則為必填欄位。
|
回應主體
如果成功,回應主體會包含新建立的 Operation 例項。
DynamicCreativeInfo
動態廣告素材執行 VCL 處理作業所需的必要資訊。
| JSON 表示法 |
{
"dynamicGroupId": string,
"activeDuration": string
} |
| 欄位 |
dynamicGroupId |
string
代表廣告素材核心影片廣告的 ID。同一個動態群組 ID 下的所有動態廣告素材,可視為具有相同內容,但動態廣告素材的動態面向不同。
|
activeDuration |
string (Duration format)
廣告素材處於有效狀態且可供使用的時間長度。過了這個時間點,系統就會在影片廣告素材存放區中刪除廣告素材。期限上限為 180 天。如果未指定這個欄位,系統會套用預設的 30 天時間長度。 以秒為單位的時間長度,最多可有 9 個小數位數,並應以「s」結尾,例如:"3.5s"。
|
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2025-07-25 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2025-07-25 (世界標準時間)。"],[],["This document details how to create a creative via an HTTP POST request to `https://dai.googleapis.com/v1/creatives`. The request body requires a `creative` object and a `dynamicCreativeInfo` object for dynamic creatives. `DynamicCreativeInfo` includes `dynamicGroupId`, a string representing the core video ad's group, and `activeDuration`, specifying the creative's active lifespan. Upon success, the response contains an `Operation` instance; otherwise, a `google.rpc.Code` is returned.\n"]]